// 
// Created by the DataSnap proxy generator.
// 29/09/2012 21:27:12
// 

unit uProxy;

interface

uses Data.DBXCommon, Data.DBXClient, Data.DBXDataSnap, Data.DBXJSON, Datasnap.DSProxy, System.Classes, System.SysUtils, Data.DB, Data.SqlExpr, Data.DBXDBReaders, Data.DBXJSONReflect;

type
  TsmGlobalClient = class(TDSAdminClient)
  private
    FsdsUsuariosBeforeOpenCommand: TDBXCommand;
    FDefineBancoCommand: TDBXCommand;
    FDefineUsuarioCommand: TDBXCommand;
  public
    constructor Create(ADBXConnection: TDBXConnection); overload;
    constructor Create(ADBXConnection: TDBXConnection; AInstanceOwner: Boolean); overload;
    destructor Destroy; override;
    procedure sdsUsuariosBeforeOpen(DataSet: TDataSet);
    function DefineBanco(CNPJ: string): Boolean;
    function DefineUsuario(User: string): Boolean;
  end;

implementation

procedure TsmGlobalClient.sdsUsuariosBeforeOpen(DataSet: TDataSet);
begin
  if FsdsUsuariosBeforeOpenCommand = nil then
  begin
    FsdsUsuariosBeforeOpenCommand := FDBXConnection.CreateCommand;
    FsdsUsuariosBeforeOpenCommand.CommandType := TDBXCommandTypes.DSServerMethod;
    FsdsUsuariosBeforeOpenCommand.Text := 'TsmGlobal.sdsUsuariosBeforeOpen';
    FsdsUsuariosBeforeOpenCommand.Prepare;
  end;
  FsdsUsuariosBeforeOpenCommand.Parameters[0].Value.SetDBXReader(TDBXDataSetReader.Create(DataSet, FInstanceOwner), True);
  FsdsUsuariosBeforeOpenCommand.ExecuteUpdate;
end;

function TsmGlobalClient.DefineBanco(CNPJ: string): Boolean;
begin
  if FDefineBancoCommand = nil then
  begin
    FDefineBancoCommand := FDBXConnection.CreateCommand;
    FDefineBancoCommand.CommandType := TDBXCommandTypes.DSServerMethod;
    FDefineBancoCommand.Text := 'TsmGlobal.DefineBanco';
    FDefineBancoCommand.Prepare;
  end;
  FDefineBancoCommand.Parameters[0].Value.SetWideString(CNPJ);
  FDefineBancoCommand.ExecuteUpdate;
  Result := FDefineBancoCommand.Parameters[1].Value.GetBoolean;
end;

function TsmGlobalClient.DefineUsuario(User: string): Boolean;
begin
  if FDefineUsuarioCommand = nil then
  begin
    FDefineUsuarioCommand := FDBXConnection.CreateCommand;
    FDefineUsuarioCommand.CommandType := TDBXCommandTypes.DSServerMethod;
    FDefineUsuarioCommand.Text := 'TsmGlobal.DefineUsuario';
    FDefineUsuarioCommand.Prepare;
  end;
  FDefineUsuarioCommand.Parameters[0].Value.SetWideString(User);
  FDefineUsuarioCommand.ExecuteUpdate;
  Result := FDefineUsuarioCommand.Parameters[1].Value.GetBoolean;
end;


constructor TsmGlobalClient.Create(ADBXConnection: TDBXConnection);
begin
  inherited Create(ADBXConnection);
end;


constructor TsmGlobalClient.Create(ADBXConnection: TDBXConnection; AInstanceOwner: Boolean);
begin
  inherited Create(ADBXConnection, AInstanceOwner);
end;


destructor TsmGlobalClient.Destroy;
begin
  FreeAndNil(FsdsUsuariosBeforeOpenCommand);
  FreeAndNil(FDefineBancoCommand);
  FreeAndNil(FDefineUsuarioCommand);
  inherited;
end;

end.
