# SQL Manager 2005 for MySQL 3.7.0.1
# ---------------------------------------
# Host     : localhost
# Port     : 3306
# Database : cliente


SET FOREIGN_KEY_CHECKS=0;

CREATE DATABASE `cliente`
    CHARACTER SET 'latin1'
    COLLATE 'latin1_swedish_ci';

USE `cliente`;

#
# Structure for the `cadastro` table : 
#

CREATE TABLE `cadastro` (
  `nome` varchar(60) default NULL,
  `endereco` varchar(80) default NULL,
  `bairro` varchar(20) default NULL,
  `cidade` varchar(40) default NULL,
  `uf` char(2) default NULL,
  KEY `nome` (`nome`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

#
# Structure for the `usuarios` table : 
#

CREATE TABLE `usuarios` (
  `codigo` int(11) NOT NULL,
  `usuario` varchar(20) default NULL,
  `senha` varchar(20) default NULL,
  PRIMARY KEY  (`codigo`),
  KEY `usuario` (`usuario`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

#
# Data for the `cadastro` table  (LIMIT 0,500)
#

INSERT INTO `cadastro` (`nome`, `endereco`, `bairro`, `cidade`, `uf`) VALUES 
  ('Cliente 1','Endereo 1','Bairro 1','Cidade 1','01'),
  ('Cliente 2','Endereo 2','Bairro 2','Cidade 2','02'),
  ('Cliente 3','Endereo 3','Bairro 3','Cidade 3','03');

COMMIT;

#
# Data for the `usuarios` table  (LIMIT 0,500)
#

INSERT INTO `usuarios` (`codigo`, `usuario`, `senha`) VALUES 
  (0,'admin','1234');

COMMIT;

