# SQL Manager 2005 for MySQL 3.7.0.1
# ---------------------------------------
# Host     : localhost
# Port     : 3306
# Database : cliente2


SET FOREIGN_KEY_CHECKS=0;

CREATE DATABASE `cliente2`
    CHARACTER SET 'latin1'
    COLLATE 'latin1_swedish_ci';

USE `cliente2`;

#
# Structure for the `cadastro` table : 
#

CREATE TABLE `cadastro` (
  `nome` varchar(60) default NULL,
  `endereco` varchar(80) default NULL,
  `bairro` varchar(20) default NULL,
  `cidade` varchar(40) default NULL,
  `uf` char(2) default NULL,
  KEY `nome` (`nome`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

#
# Structure for the `usuarios` table : 
#

CREATE TABLE `usuarios` (
  `codigo` int(11) NOT NULL,
  `usuario` varchar(20) default NULL,
  `senha` varchar(20) default NULL,
  PRIMARY KEY  (`codigo`),
  KEY `usuario` (`usuario`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

#
# Data for the `cadastro` table  (LIMIT 0,500)
#

INSERT INTO `cadastro` (`nome`, `endereco`, `bairro`, `cidade`, `uf`) VALUES 
  ('Cliente 4','Endereo 4','Bairro 4','Cidade 4','04'),
  ('Cliente 5','Endereo 5','Bairro 5','Cidade 5','05'),
  ('Cliente 6','Endereo 6','Bairro 6','Cidade 6','06');

COMMIT;

#
# Data for the `usuarios` table  (LIMIT 0,500)
#

INSERT INTO `usuarios` (`codigo`, `usuario`, `senha`) VALUES 
  (0,'admin','1234');

COMMIT;

