unit udmDadosServer;

interface

uses
  System.SysUtils, System.Classes, Data.DBXOracle, Data.DB, Data.SqlExpr,
  DBXDevartOracle, Data.DBXMSSQL, Data.FMTBcd, Datasnap.DBClient,
  Datasnap.Provider, DSServer;

type
{$IFDEF DATASNAP}
  TdmDadosServer = class(TDSServerModule)
{$ELSE}
  TdmDadosServer = class(TDataModule)
{$ENDIF}
    SQLConnection1: TSQLConnection;
    sdsPerson: TSQLDataSet;
    dspPerson: TDataSetProvider;
    procedure DataModuleCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  dmDadosServer: TdmDadosServer;

implementation

{%CLASSGROUP 'System.Classes.TPersistent'}

{$R *.dfm}

procedure TdmDadosServer.DataModuleCreate(Sender: TObject);
var
  iLci: integer;
begin
  for iLci := 0 to ComponentCount - 1 do
  begin
    if (Components[iLci] is TSqlDataSet) then
    begin
      (Components[iLci] as TSqlDataSet).GetMetadata := False;
    end;
  end;//for
end;

end.
