unit uClient;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, Vcl.Grids, Vcl.DBGrids,
  Data.DB;

type
  TfrmClient = class(TForm)
    dsCadastro: TDataSource;
    DBGrid1: TDBGrid;
    bRefresh: TButton;
    bSair: TButton;
    procedure FormCreate(Sender: TObject);
    procedure bRefreshClick(Sender: TObject);
    procedure bSairClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmClient: TfrmClient;

implementation

{$R *.dfm}

uses udmPrincipal;

procedure TfrmClient.bRefreshClick(Sender: TObject);
begin
  If dsCadastro.State = dsBrowse Then
    dmPrincipal.cdsCadastro.Refresh;
end;

procedure TfrmClient.bSairClick(Sender: TObject);
begin
  Close;
end;

procedure TfrmClient.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  dmPrincipal.cdsCadastro.Close;
  dmPrincipal.ServerConnection.Close;
  Application.Terminate;
end;

procedure TfrmClient.FormCreate(Sender: TObject);
begin
  dmPrincipal.cdsCadastro.Open;
end;

end.
