unit uLogin;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls;

type
  TfrmLogin = class(TForm)
    Panel1: TPanel;
    cUsuario: TEdit;
    cSenha: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Image1: TImage;
    btnLogar: TButton;
    btnCancelar: TButton;
    procedure btnCancelarClick(Sender: TObject);
    procedure cUsuarioChange(Sender: TObject);
    procedure btnLogarClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
    erros: integer;
  public
    { Public declarations }
  end;

var
  frmLogin: TfrmLogin;

implementation

uses udmPrincipal;

{$R *.dfm}

procedure TfrmLogin.btnCancelarClick(Sender: TObject);
begin
  Close;
end;

procedure TfrmLogin.cUsuarioChange(Sender: TObject);
begin
  if (cUsuario.Text = '') then
    btnLogar.Enabled := False
  else btnLogar.Enabled := True;
end;

procedure TfrmLogin.btnLogarClick(Sender: TObject);
begin
  dmPrincipal.cdsUsuarios.Close;
  dmPrincipal.cdsUsuarios.Params[0].AsString := cUsuario.Text;
  dmPrincipal.cdsUsuarios.Open;

  If dmPrincipal.cdsUsuarios.IsEmpty then begin
    MessageDlg('No existe nenhum usurio com este nome de login!', mtInformation, [mbOK], 0);
    cUsuario.SetFocus;
    exit;
  end;

  if (cSenha.Text <> dmPrincipal.cdsUsuariossenha.AsString) then begin
    MessageDlg('Senha invlida!', mtInformation, [mbOK], 0);
    Inc(erros);
    if erros = 3 then btnCancelarClick(nil);
    cSenha.SetFocus;
    cSenha.SelectAll;
    exit;
  end;

  //Arrumando as variveis

  dmPrincipal.vUsuario    := dmPrincipal.cdsUsuariosusuario.AsString;
  dmPrincipal.cdsUsuarios.Close;
  Self.Tag := 1;

  close;
end;

procedure TfrmLogin.FormCreate(Sender: TObject);
begin
  erros := 0;
end;

end.
